@using Jones.AspNetCore.Utils
@inherits JonesComponentBase

<div class="@Class">
    
    @if (Title != null)
    {
        <CardTitle>
            @Title
        </CardTitle>
    }
    
    @ChildContent
</div>

@code {
    private string? Class => CssBuilder.Default("flex flex-wrap items-center border-b border-gray-200 rounded-t-lg bg-gray-50 dark:border-gray-700 dark:bg-gray-800 px-4 py-2")
        .AddClassFromAttributes(AdditionalAttributes)
        .Build();
    
    [Parameter]
    public string? Title { get; set; }
    
    [Parameter]
    public RenderFragment? ChildContent { get; set; }
}